Bug 212380 - sound doesn't restart on wakeup with snd_atiixp
sound doesn't restart on wakeup with snd_atiixp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 11:59 EDT by Neal Becker
Modified: 2015-03-04 20:17 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-19 06:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-10-26 11:59:39 EDT
Description of problem:

sound module is snd_atiixp.  On wakeup, sound is hosed.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2007-01-23 11:25:19 EST
I'll be adding a fix in the next rawhide build that will probably fix this
problem. Please give that a shot when it appears over the next few days.

Thanks,

Read ya, Phil
Comment 2 Till Maas 2007-08-30 12:02:42 EDT
Is this bug still present?
Comment 3 Neal Becker 2007-08-30 14:42:02 EDT
Yes, still true on F7 with all updates as of today.
Comment 4 Till Maas 2007-08-30 15:24:00 EDT
Does this help?

# echo 'RESUME_MODULES=snd_atiixp ${RESUME_MODULES}' >>
/etc/pm/config.d/snd_atiixp.module

It should make sure that snd_atiixp is removed and reloaded before/after resume.
Comment 5 Neal Becker 2007-08-30 17:11:57 EDT
No.

I now hear 2 clicks from the sound as it suspends (I believe I used to hear 
1), but no click on resume.

I'm testing this from Sound System - Control Center from kde.

BTW, I also notice the gui for Sound System -Control Center is now hung.
Comment 6 Till Maas 2007-08-30 19:21:27 EDT
Does "lsmod | grep snd_atiixp" show something after resume? (When you
suspended/resumed with the config from comment #4)
Comment 7 Till Maas 2007-12-23 19:15:16 EST
Please test, whether "service haldaemon restart" helps to reactivate the sound.
My X41 has problems recently after resume from suspend to ram and this helps then.
Comment 8 Till Maas 2008-01-08 11:38:41 EST
Neal, please test, whether "service haldaemon restart" helps to reactivate the
sound. Or is it now working for you?
Comment 9 Bug Zapper 2008-04-04 00:07:58 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.